Update User Group

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location --request PUT 'https://eu.api.capillarytech.com/v2/userGroup2' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic bWFkaH3MjU2YQ==' \
--data '{
    "id": "3962909",
    "externalId": "uat_ug_10_txn",
    "groupName": "uatUserGroup10Transactions",
    "maxGroupSize": 2    
}'
curl --location --request PUT 'https://eu.api.capillarytech.com/v2/userGroup2' \
--data '{
    "id": "3918893",
    "externalId": "uat_ug_10_txn",
    "groupName": "uatUserGroup10Transactions", 
    "extendedFields": {   
        "usergroup2_automation_extended_field": "25"
    }
}'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Access group resource: Read and write access to the User Group resource

Resource information

URI/v2/userGroup2
HTTP MethodPUT
PaginationNo
Batch supportNo
Rate limit informationNA

Request body parameters

Query ParameterTypeMandatoryDescription
idintegerYesUnique ID of the user group, identical to the entity ID.
externalIdstringNoExternal ID of the group.
extendedFieldsarrayNoArray containing the extended fields and their corresponding values, enabled for specific verticals within the organization. Each extended field must be valid and created under the usergroup2 entity.
groupNamestringYesName of the group. The maximum number of allowed characters is 50.
maxGroupSizeintegerNoMaximum size (members) of the group. The maximum group size is as defined by the product configuration CONF_MAX_FLEET_GROUP_SIZE. If this configuration is not set, the default maximum size is 30,000.

Example response

{
    "id": 3962909,
    "externalId": "uat_ug_10_txn",
    "groupName": "uatUserGroup10Transactions",
    "maxGroupSize": 2,
    "extendedFields": {},
    "warnings": []
}
{
    "id": 3918893,
    "externalId": "uat_ug_10_txn",
    "groupName": "uatUserGroup10Transactions",
    "maxGroupSize": 6,
    "extendedFields": {
        "ug_status": "Active",
        "usergroup2_automation_extended_field": 25
    },
    "warnings": []
}

Response parameters

ParameterDescription
idUnique identifier for the entity.
groupNameName of the group being updated.
maxGroupSizeMaximum size (members) of the group.
extendedFieldsAn array containing the extended fields and their corresponding values, enabled for specific verticals within the organisation.
entityTypeType of entity.
promisedPointsScheduleListThis is an array containing objects of promised points scheduled for the user.
triggerBasedPointsListThis is an array containing objects of points based on specific triggers or conditions.
warningsThis is an array that contains warning messages, if any.

API-specific error codes

1632Group ID, externalD, or primary userID is not valid
91016This is a warning indicating the extended fields are incorrect.
91017This is a warning indicating the extended fields are incorrect.
Body Params
int32
required
string
required
string
int32
Defaults to 30000
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json